TIMEDELAY(9)

NAME

timedelay - The equivalent of a time-delay relay

SYNOPSIS

loadrt timedelay [count=N|names=name1[,name2...]]

FUNCTIONS

timedelay.N (requires a floating-point thread)

PINS

timedelay.N.in bit in

timedelay.N.out bit out
    Follows the value of in after applying the delays on-delay and off-delay.

timedelay.N.on-delay float in (default: 0.5)
    The time, in seconds, for which in must be true before out becomes true

timedelay.N.off-delay float in (default: 0.5)
    The time, in seconds, for which in must be false before out becomes false

timedelay.N.elapsed float out
    Current value of the internal timer

AUTHOR

Jeff Epler, based on works by Stephen Wille Padnos and John Kasunich

LICENSE

GPL